{% extends 'layouts/artdrop.html.twig' %}


{% block title %}ArtDrop _ Mes oeuvres{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}


{% block titleAndDecription %}
    {% if app.user %}
        <!-- affiche le titre si l'utilisateur est connecté -->
        <h2>Mes oeuvres</h2>
    {% else %}
        <!-- affiche un message d'erreur si l'utilisateur n'est pas connecté -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}
{% endblock %}

{% block section %}
    <!-- début de la section comprenant les artwork du membre les ayant posté -->
    <section class="gallery">
        <div class="my-artwork-items row">

            <!-- affichage des oeuvre de manière dynamique -->
            {% for artistArtwork in artistArtworks %}
                <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                    <div class="artwork-box">
                        <div class="unique_artwork">
                            <div class="gallery-item">
                                <!-- affiche la photo de l'artwork et son titre alternatif -->
                                <img src="{{ asset('assets/uploads/' ~ artistArtwork.Photo.Path) }}"
                                     alt="{{ artistArtwork.ArtworkTitle }}" class="img-fluid">
                                <!-- ajout des bouton d'interaction (afficher, supprimer, modifier) -->
                                <div class="gallery-links d-flex align-items-center justify-content-center">
                                    <a href="{{ path('artwork_page', {'id' : artistArtwork.id }) }}" class="details-link"><i
                                                class="bi bi-arrows-angle-expand"></i></a>
                                    <a href="{{ path('delete_artwork', { 'id': artistArtwork.id }) }}" class="details-link"><i
                                                class="bi bi-trash"></i></a>
                                    <a href="{{ path('update_artwork', { 'id' : artistArtwork.id }) }}" class="details-link"><i
                                                class="bi bi-bookmark-plus"></i></a>
                                    <a href="{{ path('remove_cat_artwork', { 'id' : artistArtwork.id }) }}" class="details-link"><i
                                                class="bi  bi-bookmark-dash"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
        <!-- boutton permettant d'ajouter les artworks -->
        <a href="{{ path('add_artwork') }}">
            <div class="artwork-item add-item">
                <i class="bi bi-plus-circle"></i>
            </div>
        </a>
    </section>
{% endblock %}
